package models

import (
	"rdluck_tools/orm"
	"time"
)

type SysSession struct {
	Id              int `orm:"column(id);pk"`
	SysUserId       int
	UserName        string
	AccessToken     string
	ExpiredTime     time.Time
	CreatedTime     time.Time
	LastUpdatedTime time.Time
}

//新增用户登录session信息
func AddSysSession(item *SysSession) (err error) {
	o := orm.NewOrm()
	o.Using("rddp")
	_, err = o.Insert(item)
	return
}

func GetSysSessionBySysUserId(sysUserId int) (item *SysSession, err error) {
	sql := `SELECT * FROM sys_session WHERE sys_user_id=? AND expired_time> NOW() ORDER BY expired_time DESC LIMIT 1 `
	o := orm.NewOrm()
	o.Using("rddp")
	err = o.Raw(sql, sysUserId).QueryRow(&item)
	return
}


func GetSysSessionByToken(token string) (item *SysSession, err error) {
	sql := `SELECT * FROM sys_session WHERE access_token=? AND expired_time> NOW() ORDER BY expired_time DESC LIMIT 1 `
	o := orm.NewOrm()
	o.Using("rddp")
	err = o.Raw(sql, token).QueryRow(&item)
	return
}